> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Brand

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/catalog/brands/{brand_id}
Content-Type: application/json

Updates a brand.

To update a brand image, send a request with an `image_url`.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/catalog/brands/update-brand

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `brand_id` (integer, required) — The ID of the brand to which the resource belongs.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects an object.

- `name` (string, required) — The name of the brand. Must be unique. Required in POST.
- `id` (integer, optional) — Unique ID of the brand.
- `page_title` (string, optional) — The title shown in the browser while viewing the brand.
- `meta_keywords` (list of string, optional) — An array of meta keywords to include in the HTML.
- `meta_description` (string, optional) — A meta description to include.
- `search_keywords` (string, optional) — A comma-separated list of keywords that can be used to locate this brand.
- `image_url` (string, optional) — Image URL used for this category on the storefront. Images can be uploaded via form file post to `/brands/{brandId}/image`, or by providing a publicly accessible URL in this field.
- `custom_url` (CatalogBrandsBrandIdPutRequestBodyContentApplicationJsonSchemaCustomUrl, optional) — The custom URL for the brand on the storefront.

## Response

### 200

OK

- `data` (CatalogBrandsBrandIdPutResponsesContentApplicationJsonSchemaData, optional) — Common Brand properties.
- `meta` (metaEmpty_Full, optional) — Response metadata.

### 207

Multi-status. Multiple operations have taken place and the status for each operation can be viewed in the body of the response. Typically indicates that a partial failure has occurred, such as when a `POST` or `PUT` request is successful, but the URL or inventory data failed to save.

- `data` (list of brand_Full, optional)
- `errors` (Error, optional) — Error response payload for the BigCommerce API.
- `meta` (WriteCollectionSuccessMeta, optional) — Additional data about the response.

## Errors

### 403 Forbidden Error

An error response.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)

### 404 Not Found Error

The resource was not found.

- `status` (integer, optional) — 404 HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)

### 409 Conflict Error

The `Brand` was in conflict with another product. This is the result of duplicate unique values, such as `name`.

- `errors` (CatalogBrandsBrandIdPutResponsesContentApplicationJsonSchemaErrors, optional)
- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)

### 422 Unprocessable Entity Error

The `Brand` was not valid. This is the result of missing required fields, or of invalid data. See the response for more details.

- `errors` (CatalogBrandsBrandIdPutResponsesContentApplicationJsonSchemaErrors, optional)
- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)

## Types

### CatalogBrandsBrandIdPutRequestBodyContentApplicationJsonSchemaCustomUrl

The custom URL for the brand on the storefront.

- `url` (string, optional) — Brand URL on the storefront.
- `is_customized` (boolean, optional) — Returns `true` if the URL has been changed from its default state (the auto-assigned URL that BigCommerce provides).

### CatalogBrandsBrandIdPutResponsesContentApplicationJsonSchemaData

Common Brand properties.

- `name` (string, required) — The name of the brand. Must be unique. Required in POST.
- `id` (integer, optional) — Unique ID of the brand.
- `page_title` (string, optional) — The title shown in the browser while viewing the brand.
- `meta_keywords` (list of string, optional) — An array of meta keywords to include in the HTML.
- `meta_description` (string, optional) — A meta description to include.
- `search_keywords` (string, optional) — A comma-separated list of keywords that can be used to locate this brand.
- `image_url` (string, optional) — Image URL used for this category on the storefront. Images can be uploaded via form file post to `/brands/{brandId}/image`, or by providing a publicly accessible URL in this field.
- `custom_url` (CatalogBrandsBrandIdPutResponsesContentApplicationJsonSchemaDataCustomUrl, optional) — The custom URL for the brand on the storefront.

### metaEmpty_Full

Response metadata.

### brand_Full

Common Brand properties.

- `name` (string, required) — The name of the brand. Must be unique. Required in POST.
- `id` (integer, optional) — Unique ID of the brand.
- `page_title` (string, optional) — The title shown in the browser while viewing the brand.
- `meta_keywords` (list of string, optional) — An array of meta keywords to include in the HTML.
- `meta_description` (string, optional) — A meta description to include.
- `search_keywords` (string, optional) — A comma-separated list of keywords that can be used to locate this brand.
- `image_url` (string, optional) — Image URL used for this category on the storefront. Images can be uploaded via form file post to `/brands/{brandId}/image`, or by providing a publicly accessible URL in this field.
- `custom_url` (customUrl_Full, optional) — The custom URL for the product on the storefront.

### Error

Error response payload for the BigCommerce API.

- `status` (integer, optional) — The HTTP status code for the error.
- `title` (string, optional) — The error title.
- `type` (string, optional) — The error type.
- `errors` (ErrorDetail, optional) — Error detail response payload for the BigCommerce API.

### WriteCollectionSuccessMeta

Additional data about the response.

- `total` (integer, optional) — Total number of items in the result set.
- `success` (integer, optional) — Total number of items that were successfully deleted.
- `failed` (integer, optional) — Total number of items that failed to be deleted.

### CatalogBrandsBrandIdPutResponsesContentApplicationJsonSchemaErrors

### CatalogBrandsBrandIdPutResponsesContentApplicationJsonSchemaDataCustomUrl

The custom URL for the brand on the storefront.

- `url` (string, optional) — Brand URL on the storefront.
- `is_customized` (boolean, optional) — Returns `true` if the URL has been changed from its default state (the auto-assigned URL that BigCommerce provides).

### customUrl_Full

The custom URL for the product on the storefront.

- `url` (string, optional) — Product URL on the storefront.
- `is_customized` (boolean, optional) — Returns `true` if the URL has been changed from its default state (the auto-assigned URL that BigCommerce provides).

### ErrorDetail

Error detail response payload for the BigCommerce API.

## Examples

### Response

**Request**

```json
{
  "name": "Common Good"
}
```

**Response**

```json
{
  "data": {
    "name": "Common Good",
    "id": 50,
    "meta_keywords": [
      "modern",
      "clean",
      "contemporary"
    ],
    "meta_description": "Common Good is a modern brand",
    "search_keywords": "kitchen, laundry, cart, storage",
    "image_url": "",
    "custom_url": {
      "url": "/brands/Common-Good.html",
      "is_customized": false
    }
  },
  "meta": {}
}
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1"

payload = { "name": "Common Good" }
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"name":"Common Good"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1"

	payload := strings.NewReader("{\n  \"name\": \"Common Good\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Common Good\"\n}"

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Common Good\"\n}")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1', [
  'body' => '{
  "name": "Common Good"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Common Good\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["name": "Common Good"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2

**Request**

```json
{
  "name": "Common Good"
}
```

**Response**

```json
{
  "data": [
    {
      "custom_url": {
        "is_customized": true,
        "url": "string"
      },
      "id": 1,
      "image_url": "https://cdn8.bigcommerce.com/s-12345/product_images/k/your-image-name.png",
      "meta_description": "Common Good is a modern brand.",
      "meta_keywords": [
        "modern",
        "clean",
        "contemporary"
      ],
      "name": "Common Good",
      "page_title": "Common Good",
      "search_keywords": "kitchen, laundry, cart, storage"
    }
  ],
  "meta": {
    "failed": 0,
    "success": 3,
    "total": 3
  },
  "errors": {
    "errors": {},
    "status": 422,
    "title": "Bulk operation has failed",
    "type": "/developer/api-reference/rest/overview#rest-http-status-codes"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1"

payload = { "name": "Common Good" }
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"name":"Common Good"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1"

	payload := strings.NewReader("{\n  \"name\": \"Common Good\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Common Good\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Common Good\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1', [
  'body' => '{
  "name": "Common Good"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Common Good\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["name": "Common Good"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```